Runtime Property Definition

Option | Description
jopaz.array_check= | Checks array boudaries. Valid values are: -1 – Array boundaries are checked at Runtime in order to provide more details in case "out of bounds" errors exist. When a program addresses an item that is outside the valid range, an error message is written to the log if you have set jopaz.tracelevel to a value greater than zero. The error message informs about the data item name and the problematic index value. 0 – Array boundaries are not checked. If a program addresses an item that is outside the valid range, a generic "out of bounds" error message is shown and the program exits. The -m1 option may avoid the crash and force the program to access the area of the next Working-Storage item instead. 1 – Array boundaries are checked at Runtime in order to provide more details in case "out of bounds" errors exist. If a program addresses an item that is outside the valid range, an error message is shown and the program exits.The error message informs about the data item name and the problematic index value. The default value is 0.
jopaz.checkdiv= | Allows you to specify an alternate runtime response to a divide by zero condition when the statement does not include a ON SIZE ERROR clause. Valid values are: -1 – The error message "Attempt to divide by zero" is written to the log and the program aborts. jopaz.tracelevel must be set to a value greater than zero. 0 – Results are undefined. 1 – The program aborts with the error message "Attempt to divide by zero". 2 – The result is zero. 3 – The result is the dividend, as if the division was by 1 instead of by zero. The default value is 0.
jopaz.cpu_statistics= | Enables the Jopaz CPU statistics for runtime. Valid values are: 1 – Enable the tracing for CPU statistics, 0 – Disable the tracing for CPU statistics. With the DD card JPZPRINT the CPU statistics can be written either to a separate job class or to a physical file. Otherwise the statistics are written in the JES Job Log (JESMSGLG).
jopaz.debug.port= | This property specifies the port used by the Remote Debugger. It can be used in the Framework configuration to tell which port it should listen to connect instead of passing this information on the command line. The default value is 9999.
jopaz.display_message= | This property defines how messages are shown to the user. It affects both messages displayed by the program through the DISPLAY MESSAGE BOX statement and error messages shown by the runtime system. In thin client environments, it is also evaluated on the client side for the client connection error messages. Valid values are: 0 – All messages are shown in a message box. 1 – All messages are sent to sysout. In a thin client environment, runtime error messages are sent to the server sysout, while messages displayed by the program are sent to the client sysout. 2 – All messages are sent to syserr. In a thin client environment, runtime error messages are sent to the server syserr while messages displayed by the program are sent to the client syserr. 3 – Messages displayed by the program are sent to syserr or clientsyserr in thin client environments. Runtime error messages are printed to a file named <program_name><number>.ads.log, where <number> is a progressive number calculated by the runtime. The file name and location can be customized with the jopaz.exception.dumpfile property. Any other value is equivalent to 2.The default value is 0. The recommended value is 2.
jopaz.exception.dump= | This property defines wheather to produce an Abend Diagnostic Snapshot (ADS) or not. Valid values are: 1 – Produces ADS in addition to Java exceptions. 0 – Does not produce ADS. The default value is 0.
jopaz.exception.dumpfile=pathname | This property specifies the pathname of the file generated when setting jopaz.display_message=3 or jopaz.exception.message=3. The following special characters are supported in the value of this property: %p – program name %d – current date in the form YYYYMMDD %t – current time in the form HHMMSSTTT %u – username %h – hostname. If the value begins with a ”+” character, the report is appended to the specified file, otherwise the new report overwrites the specified file. For example: jopaz.exception.dumpfile=/tmp/%p.dump If this property is not set, a file named <program_name><number>.ads.log, where <number> is a progressive number calculated by the runtime, is generated by default in the working directory.
jopaz.exception.java= | Specifies the content of the exception messages. Valid values are: 1 – Internal java methods are traced in exception messages. 0 – COBOL paragraph names are traced in exception messages. The defalut value is 0.
jopaz.exception.message= | This property defines how exception messages are shown to the user. It affects only error messages shown by the runtime system. Valid values are: 0 – The messages are shown in a message box. 1 – The messages are sent to sysout. In a thin client environment, they are sent to the server sysout. 2 – The messages are sent to syserr. In a thin client environment, they’re sent to the server syserr. 3 – The messages are printed to a file named <program_name><number>.ads.log, where <number> is a progressive number calculated by the runtime. The file name and location can be customized with the jopaz.exception.dumpfile property. Any other value is equivalent to 2. The default value is 0. The recommended value is 2.
jopaz.file.close_on_exit= | Specifies open files to close at program exit. Valid values are: 1 – All open files are closed when the program exits. 0 – Open files are left open when the program exits. The defalut value is 0.
jopaz.file.errors_ok= | Configures how I/O errors are treated. Valid values are: 0 – The program stops if an error occurs and there are no declaratives. 1 – The program continues even if an errors occurs. 2 – The program continues when an error occurs only if a status is defined for the file. The defalut value is 0.
jopaz.gui.show_zeroes= | Specifies whether leading zeros are shown when displaying mueric data. This property affects all the output devices: console, character-based terminals, and graphical windows. Valid values are: 1 – Leading zeroes are shown when displaying numeric data. 0 – Leading zeroes are not shown when displaying numeric data The default value is 0.
jopaz.logfile=pathname | This property specifies the path of the log file. Backslashes must be doubled. The Jopaz framework uses the java.util.logging package and there are manyconfiguration options. For example, you can specify %h in the jopaz.logfile and it will be replacedby the user’s home directory. You can specify %yyyy, %mm, %dd, %hh, %nn, %ss, and %cc and they will be replaced with the current year, month, day, hour, minute, second, and hundredth of second respectively. You can specify a %u in the iscobol.logfile and it will be replaced with a unique number at runtime to resolve conflicts.
jopaz.rundebug= | This property specifies how the Runtime interacts with the remote debuggers. Valid values are: 0 – Remote debugging is not possible. 1 – The first program will start and run immediately. The remote debug session waits and listens for a program that is compiled for debugging to launch connecting to the program when it detects it. This is useful when you want to debug only some of your application’s programs. 2 – The runtime framework will start in debug mode pausing to connect to a remote debugger before running the program. This is useful when all your programs are compiled for debugging and you want to start your remote debugger at the very first line of the application. The default value is 0. Note: This runtime property is used also by the compiler to let you debug preprocessor programs, if these programs are written in COBOL, through the remote debugger.
jopaz.tracelevel= | This property allows the user to define the events to be traced. Possible values: 3 – Includes config settings and program starts and ends. 7 – Includes config, program starts/ends, and paragraph starts/ends. 11 – Includes config, program starts/ends, and file input/output. 15 – Includes config, program and paragraph starts/ends, and file i/o. 43 – Includes config, program starts/ends, and file input/output plus the content of read records. 63 – Traces everything of the above. 256 – Traces SQL activity. The default value is 0.
jopaz.trace_location= | Specifies where to output the tracing information. Note: Set this property only if you set the trace level property jopaz.tracelevel=. Valid values are: 1 – Activates the writing of the tracing information into the job class STDOUT when the runtime job is executed. 2 – Activates the writing of the tracing information into a UNIX file under the path specified in the runtime property jopaz.logfile=. 3 – Combines option one and two. The default value is 1.